Subject: bug#50894: [External] : bug#50894: Disable show-paren-mode in special modes

From: Drew Adams <[email-masked]>
Date: Wed, 29 Sep 2021 20:26:22 +0000

> If you read a book where every paren is emphasized,
> what would you think about the author?

If I read that book in a reader app, I'd look to
see if that was a visualization option - but only
if I didn't find it useful.

We cater to users.  We give them optional behaviors.
Some such we turn on by default.  Some users don't
like the default behaviors, so they customize.

Nothing new.

We saw similar arguments back when the choice was
made to turn on `font-lock-mode' globally by default.
Until that momentous decision it was off.  Imagine
the consternation of the multitudes who suddenly
found it on.  They survived, and so did Emacs.